#include <string.h>
#include "defines.h"
#include "adisk.h"

void strmfp2(fname,path,name,ext)
unchar *fname,*path,*name,*ext;
{
unchar ffname[MAXFILE+MAXEXT];
	strcpy(ffname,name);
	if (ext[0]!=0 && ext[0]!='.') strcat(ffname,".");
	strcat(ffname,ext);
	strmfp(fname,fd_path(path),ffname);
}
